Subject: bug#44509: 28.0.50; Error querying with new gnus-search and notmuch

From: "Jose A. Ortega Ruiz" <[email-masked]>
Date: Sun, 08 Nov 2020 02:49:19 +0000

On Sat, Nov 07 2020, Eric Abrahamsen wrote:

> "Jose A. Ortega Ruiz" <[email-masked]> writes:
>
>> Hi,
>>
>> I've been trying the recently added gnus-search with an nnimap local
>> server (dovecot) that i index with notmuch.  More concretely:
>
> I'm curious if this used to work before gnus-search? My understanding is
> that it never should have worked: notmuch returns search results as
> filenames on your local system, while dovecot wants search results
> returned as its own internal message UIDs.
>
> If this worked before gnus-search, I would very much like to know that,
> and to know *how* it worked, given that it's two systems that aren't
> meant to talk to one another.

I would have sworn it worked, but now you make me doubt it.  I think the
gist might be that I am telling dovecot to store its mails in maildirs,
and there the filenames are essentially the maildir followed by the
message id.

But if that doesn't make sense, i might be misremembering.  I'll have to
go back to a previous commit, recompile and check again.

Cheers,
jao
-- 
Journalist: "Who owns the patent on this vaccine?"
Jonas Salk: "Well, the people, I would say.  There is no patent. Could you
patent the sun?"
  -Jonas Salk, medical researcher and developer of polio vaccine (1914-1995)